---
title: "List Robinhood Social accounts and settings"
canonical_url: "https://tweetstream.io/docs/api/list-robinhood-social-accounts"
last_updated: 2026-11-05
---

# List Robinhood Social accounts and settings

GET /api/robinhood-social lists the Robinhood Social accounts you can stream, each with its profileId, name, profile link and whether you have it enabled.

Canonical URL: https://tweetstream.io/docs/api/list-robinhood-social-accounts

## `GET /api/robinhood-social`

`https://api.tweetstream.io/api/robinhood-social`

## Authorization

| Name | Type | Description |
| --- | --- | --- |
| `Authorization` | `string`, required | Bearer authentication with your TweetStream API key: `Bearer <key>`. |

## Response fields

| Name | Type | Description |
| --- | --- | --- |
| `accounts` | `object[]`, required |  |
| `accounts.avatarUrl` | `string`, required |  |
| `accounts.displayName` | `string`, required |  |
| `accounts.enabled` | `boolean`, required |  |
| `accounts.group` | `enum<string>`, required |  |
| `accounts.profileId` | `string`, required |  |
| `accounts.profileUrl` | `string`, required |  |
| `canManage` | `boolean`, required |  |

## Responses

| Status | Description | Headers |
| --- | --- | --- |
| `200` | Success |  |
| `401` | Missing or invalid API key |  |
| `403` | The authenticated account cannot use this capability |  |
| `500` | The request could not be completed |  |

### 200

```json
{
  "accounts": [
    {
      "avatarUrl": "<string>",
      "displayName": "<string>",
      "enabled": true,
      "group": "official",
      "profileId": "<string>",
      "profileUrl": "<string>"
    }
  ],
  "canManage": true
}
```

### 401

```json
{
  "error": "<string>"
}
```

### 403

```json
{
  "error": "<string>"
}
```

### 500

```json
{
  "error": "<string>"
}
```

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.tweetstream.io/api/robinhood-social \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY"
```

### JavaScript

```javascript
const response = await fetch("https://api.tweetstream.io/api/robinhood-social", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
  },
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.get(
    "https://api.tweetstream.io/api/robinhood-social",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
)

print(response.status_code, response.json())
```
